----------------------------------------------------------------
- PL/SQL: Trigger example (not in book)                        -
- Chapter 4; Oracle Programming -- A Primer                    -
-            by R. Sunderraman                                 -
----------------------------------------------------------------

CREATE OR REPLACE TRIGGER delete_orders
BEFORE DELETE ON orders
FOR EACH ROW 
BEGIN
  DELETE FROM odetails WHERE ono = :old.ono;
END;
/
